LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
FormControllerDispatcher Service Referencepublished

is not used anymore, and superseded by com::sun::star::form::runtime::FormController and com::sun::star::form::runtime::FormOperations. More...

`import"FormControllerDispatcher.idl";`

Inheritance diagram for FormControllerDispatcher:

## Exported Interfaces
interface | com::sun::star::frame::XDispatchProvider

## Additional Inherited Members
Protected Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is not used anymore, and superseded by com::sun::star::form::runtime::FormController and com::sun::star::form::runtime::FormOperations.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::frame::XDispatchProvider

interface com::sun::star::frame::XDispatchProvider
| optional

The documentation for this service was generated from the following file:

- com/sun/star/form/FormControllerDispatcher.idl